import argparse
import yaml

class Config:

    username = None
    password = None
    url = None
    path = None

    def __init__(self):
        pass
        
    def parse_args(self):
        parser = argparse.ArgumentParser(description='Process some integers.')
        parser.add_argument('--path', type=str, help='Path to config yaml file')
        args = parser.parse_args()
        return args.arg
    
    def load_config(self, path=None):
        if path is None:
            path = '.config.yaml'
        confFile = yaml.safe_load(open(path))
        self.username = confFile['username']
        self.password = confFile['password']
        self.url = confFile['url']
        self.path = confFile['path']